From 8c7b021865501aa8395e967e5afbdad45b5db4fc Mon Sep 17 00:00:00 2001
From: Starbeamrainbowlabs <sbrl@starbeamrainbowlabs.com>
Date: Fri, 14 Jul 2017 21:28:28 +0100
Subject: [PATCH] Update comments docs

---
 build/index.php           | 28 +++++++++++++++++-----------
 module_index.json         |  2 +-
 modules/feature-stats.php | 28 +++++++++++++++++-----------
 3 files changed, 35 insertions(+), 23 deletions(-)

diff --git a/build/index.php b/build/index.php
index 4045b18..f219679 100644
--- a/build/index.php
+++ b/build/index.php
@@ -4023,20 +4023,26 @@ register_module([
 	"code" => function() {
 		global $settings;
 		/**
-		 * @api {get} ?action=raw&page={pageName} Get the raw source code of a page
-		 * @apiName RawSource
-		 * @apiGroup Page
-		 * @apiPermission Anonymous
-		 * 
-		 * @apiParam {string}	page	The page to return the source of.
+		 * @api {get|post} ?action=stats-update Recalculate the wiki's statistics
+		 * @apiName UpdateStats
+		 * @apiGroup Utility
+		 * @apiPermission Administrator
+		 *
+		 * @apiParam	{string}	secret	POST only, optional. If you're not logged in, you can specify the wiki's sekret (find it in peppermint.json) using this parameter.
 		 */
 		
 		/*
-		 * ██████   █████  ██     ██ 
-		 * ██   ██ ██   ██ ██     ██ 
-		 * ██████  ███████ ██  █  ██ 
-		 * ██   ██ ██   ██ ██ ███ ██ 
-		 * ██   ██ ██   ██  ███ ███  
+		███████ ████████  █████  ████████ ███████
+		██         ██    ██   ██    ██    ██
+		███████    ██    ███████    ██    ███████
+		     ██    ██    ██   ██    ██         ██
+		███████    ██    ██   ██    ██    ███████
+		
+		██    ██ ██████  ██████   █████  ████████ ███████
+		██    ██ ██   ██ ██   ██ ██   ██    ██    ██
+		██    ██ ██████  ██   ██ ███████    ██    █████
+		██    ██ ██      ██   ██ ██   ██    ██    ██
+		 ██████  ██      ██████  ██   ██    ██    ███████
 		 */
 		add_action("stats-update", function() {
 			global $env, $paths, $settings;
diff --git a/module_index.json b/module_index.json
index 607fb5e..4b6b418 100755
--- a/module_index.json
+++ b/module_index.json
@@ -113,7 +113,7 @@
         "author": "Starbeamrainbowlabs",
         "description": "An extensible statistics calculation system. Comes with a range of built-in statistics, but can be extended by other modules too.",
         "id": "feature-stats",
-        "lastupdate": 1500061821,
+        "lastupdate": 1500064069,
         "optional": false
     },
     {
diff --git a/modules/feature-stats.php b/modules/feature-stats.php
index ec38d78..b8ab5f5 100644
--- a/modules/feature-stats.php
+++ b/modules/feature-stats.php
@@ -8,20 +8,26 @@ register_module([
 	"code" => function() {
 		global $settings;
 		/**
-		 * @api {get} ?action=raw&page={pageName} Get the raw source code of a page
-		 * @apiName RawSource
-		 * @apiGroup Page
-		 * @apiPermission Anonymous
-		 * 
-		 * @apiParam {string}	page	The page to return the source of.
+		 * @api {get|post} ?action=stats-update Recalculate the wiki's statistics
+		 * @apiName UpdateStats
+		 * @apiGroup Utility
+		 * @apiPermission Administrator
+		 *
+		 * @apiParam	{string}	secret	POST only, optional. If you're not logged in, you can specify the wiki's sekret (find it in peppermint.json) using this parameter.
 		 */
 		
 		/*
-		 * ██████   █████  ██     ██ 
-		 * ██   ██ ██   ██ ██     ██ 
-		 * ██████  ███████ ██  █  ██ 
-		 * ██   ██ ██   ██ ██ ███ ██ 
-		 * ██   ██ ██   ██  ███ ███  
+		███████ ████████  █████  ████████ ███████
+		██         ██    ██   ██    ██    ██
+		███████    ██    ███████    ██    ███████
+		     ██    ██    ██   ██    ██         ██
+		███████    ██    ██   ██    ██    ███████
+		
+		██    ██ ██████  ██████   █████  ████████ ███████
+		██    ██ ██   ██ ██   ██ ██   ██    ██    ██
+		██    ██ ██████  ██   ██ ███████    ██    █████
+		██    ██ ██      ██   ██ ██   ██    ██    ██
+		 ██████  ██      ██████  ██   ██    ██    ███████
 		 */
 		add_action("stats-update", function() {
 			global $env, $paths, $settings;
